package com.r3944realms.modernlifepatch.data;

import com.dairymoose.modernlife.blocks.RampBlock;
import com.r3944realms.modernlifepatch.client.render.ISpecialHitBoxType;
import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.properties.EnumProperty;

import java.util.Locale;

public enum SpecialHitBoxBlockType implements ISpecialHitBoxType {
    RAMP(true, RampBlock.FACING)
    ;
    private final String name = toString().toLowerCase(Locale.ROOT);
    private final boolean specialHitbox;
    private final EnumProperty<Direction> facing;
    SpecialHitBoxBlockType(boolean hasSpecialHitbox, EnumProperty<Direction> facing) {
        this.specialHitbox = hasSpecialHitbox;
        this.facing = facing;
    }

    @Override
    public boolean hasSpecialHitbox() {
        return specialHitbox;
    }

    @Override
    public EnumProperty<Direction> getFaceDirection() {
        return facing;
    }
    @Override
    public String getSTName() {
        return name;
    }

    @Override
    public SpecialHitBoxBlockType getSpecialHitBoxType() {
        return this;
    }

}
